boxplot-methods {lumi} | R Documentation

## boxplot of a ExpressionSet object

### Description

Creating `boxplot` of sample intensities in a ExpressionSet object

### Usage

    ## S4 method for signature 'ExpressionSet':
    boxplot(x, range = 0, main, logMode = TRUE, subset = 5000, seed = 123, ...)

### Arguments

`x` | a `ExpressionSet` object
`range` | parameter of `boxplot`
`main` | title of the boxplot
`logMode` | whether plot the data in log2 scale or not
`subset` | subset of rows used to plot. It can be an index vector, or the length of a random subset
`seed` | the random seed for random subset
`...` | optional arguments to `boxplot`.

### Details

The boxplot function has a "subset" parameter. By default, it is set as 5000, i.e., randomly selected 5000 probes to plot the boxplot. The purpose of this is to plot the picture faster, but it will also make the boxplot has slightly different each time. If the user wants to make sure the boxplot is the same each time, you can set the "subset" parameter as NULL.

### See Also

`LumiBatch-class`, `boxplot`

### Examples

    ## load example data
    data(example.lumi)

    boxplot(example.lumi)

[Package lumi version 1.10.2 Index]